package classes;

import flixel.FlxSprite;
import managers.SpriteManager;

// A sprite subclass which provides graphics handling from my loaded Atlas
// This is based on https://www.ohsat.com/tutorial/flixel/using-texture-atlas/index.php
class AtlasSprite extends FlxSprite
{
	public function new()
	{
		super();
	}

	// Assign the atlas only. Used if animations are set later on the base class, e.g.
	// animation.addByIndices("bounce", "pogogirl", [2, 2, 3, 4, 5], ".png", 15, false);
	public function assignAtlas()
	{
		frames = SpriteManager.getAtlas();
	}

	// Assigning the atlas and a single image from it
	public function assignImageFromAtlas(spriteName:String)
	{
		frames = SpriteManager.getAtlas();
		frame = frames.getByName(spriteName + ".png");
		resetSizeFromFrame();
		centerOrigin();
	}
}
