package classes;

class Explosion extends AtlasSprite
{
	static final animName = "active";

	public function new()
	{
		super();
		assignAtlas();
	}

	public function setGraphics(gfx_name:String)
	{
		animation.addByIndices(animName, gfx_name, [0, 1, 2, 3, 4], ".png", 4, false);
		resetSizeFromFrame();
		centerOrigin();
	}

	public function startExplosion()
	{
		animation.play(animName);
		animation.finishCallback = onAnimationEnd;
	}

	function onAnimationEnd(animationName:String)
	{
		this.kill();
	}
}
