package classes;

import managers.CursorManager;
import flixel.FlxSprite;
import flixel.FlxG;
import flixel.util.FlxColor;
import managers.ConfigManager;
import flixel.group.FlxSpriteGroup;
import flixel.text.FlxText;

// My own implementation of a clickable link text line. With underlining and all
class LinkText extends FlxSpriteGroup
{
    var linkText:FlxText;
    var underline:FlxSprite;
    var url:String;
    var highlighted:Bool = false;

    public function new(xPos:Float, yPos:Float, text:String, url:String)
    {
        super();

        this.url = url;
		linkText = new FlxText(0, 0, 0, text, 18, true);
		add(linkText);

		underline = new FlxSprite(0, 24);
		underline.makeGraphic(Math.round(linkText.textField.width), 1, FlxColor.WHITE);
		add(underline);	
                
        setPosition(xPos, yPos);

		// Initialisation
		setColor(FlxColor.BLACK);
    }

	override public function update(elapsed:Float)
	{
		super.update(elapsed);

		if (FlxG.mouse.overlaps(linkText)) 
        {
			highlightText(true);

			if (FlxG.mouse.justPressed)
			{
				FlxG.openURL(url);
            }
        }
        else
        {
			highlightText(false);
        }
    }

    function highlightText(highlight:Bool)
    {
		if (highlight && !highlighted)
        {
			setColor(FlxColor.RED);
            CursorManager.setCursorType(Link);
			highlighted = true;
        }
		else if (!highlight && highlighted)
		{
			setColor(FlxColor.BLACK);
			CursorManager.setCursorType(Normal);
			highlighted = false;
		}
    }

	function setColor(col:FlxColor)
    {
		linkText.color = col;
		underline.color = col;
    }
}
