package helpers;

class FpsCalculator
{
	public static inline final FPS_UPDATE_TIME:Float = 1.0;

	static var fpsTimer:Float = 0.0;  // Increasing timer to check when to calculate new FPS
	static var lastFps:Float = 0.0;   // Periodically calculated fps value
	static var callCounter:Int = 0; // Counting the number of calls to timer increase

	// To be called every frame. Returns true if a new value has been calculated.
	public static function update(elapsedTime:Float):Bool
	{
		fpsTimer += elapsedTime;
		callCounter++;
		if (fpsTimer >= FPS_UPDATE_TIME)
		{
			lastFps = 1 / (fpsTimer / callCounter);
			fpsTimer = 0.0;
			callCounter = 0;
			return true;
		}
		return false;
	}

	public static function getFpsString():String
	{
		return ("fps: " + Std.string(Math.round(lastFps * 10.0) / 10.0));
	}

	public static function resetData()
	{
		fpsTimer = 0.0;
		lastFps = 0.0;
		callCounter = 0;
	}
}
