package managers;

import classes.Cannon;
import flixel.group.FlxSpriteGroup;

class CannonManager
{
	static final CANNON_YPOS_INIT = 400 - 64;	

	static var layer:FlxTypedSpriteGroup<Cannon>;
	static var cannonSprite:Cannon;

	public static function init(layer:FlxTypedSpriteGroup<Cannon>)
	{
		CannonManager.layer = layer;
		cannonSprite = new Cannon();
		cannonSprite.setPosition(200, CANNON_YPOS_INIT);
		cannonSprite.setCannonLevel(0);
		layer.add(cannonSprite);

		EventManager.subscribe(RoomsChanged, roomsChanged);
	}

	static function roomsChanged() // Callback
	{
		// Setting new level of cannon
		var controlRoomCount = RoomManager.getRoomCount(Room_CannonControl);
		cannonSprite.setCannonLevel(controlRoomCount);
	}
}
