package managers;

import enums.GoodsType;
import enums.RoomType;

// Global settings and constants
class ConfigManager
{
	public static inline final STDFONT_NORMAL = "assets/fonts/OpenSans-Regular.ttf";
	public static inline final STDFONT_BOLD = "assets/fonts/OpenSans-Bold.ttf";

	public static inline final COUNTER_SOUND = "assets/sounds/Blip.wav";
	public static inline final BUILD_SOUND = "assets/sounds/Room.wav";
	public static inline final FAILED_SOUND = "assets/sounds/Bonk.wav";
	public static inline final BUTTONCLICK_SOUND = "assets/sounds/Click.wav";
	public static inline final EXPLODE_SOUND = "assets/sounds/Explode.wav";
	public static inline final ROCKET_SOUND = "assets/sounds/Rocket.wav";
	public static inline final WIN_SOUND = "assets/sounds/Win.wav";

	public static inline final ATLAS_GFX = "assets/atlas/sie_sheet1.png";
	public static inline final ATLAS_XML = "assets/atlas/sie_sheet1.xml";

	public static inline final CANNON_GFX = "cannon_";
	public static inline final CANNON_BASE_GFX = "cannon_base_";
	public static inline final INVADER_GFX = "invader_";
	public static inline final ROCKET_GFX = "rocket_";
	public static inline final WORKER_GFX = "worker_";

	public static inline final EXPL_ROCKET_GFX = "expl_rocket_";
	public static inline final EXPL_INVADER_GFX = "expl_inv_";

	public static inline final PROGRESSBAR_BG_GFX = "progressbar_bg";
	public static inline final PROGRESSBAR_FG_GFX = "progressbar_fg";

	public static inline final BUILDF1_GFX = "building_frame_1x1";
	public static inline final BUILDF2_GFX = "building_frame_2x1";
	public static inline final BUILDF4_GFX = "building_frame_4x1";

	public static inline final DELF1_GFX = "delete_frame_1x1";
	public static inline final DELF2_GFX = "delete_frame_2x1";
	public static inline final DELF4_GFX = "delete_frame_4x1";

	public static inline final HUD_TOOLS = "sign_tools";
	public static inline final HUD_ROCKETS = "sign_rockets";
	public static inline final HUD_TIME = "sign_time";

	public static inline final WIDEBUTTON_GFX = "button_160x36_";
	public static inline final ABOUTBUTTON_GFX = "about_button_";
	public static inline final SOUNDBUTTONON_GFX = "sound_button_on_";
	public static inline final SOUNDBUTTONOFF_GFX = "sound_button_off_";
	public static inline final BUILDBUTTON_GFX = "build_button_";
	public static inline final DELETEBUTTON_GFX = "delete_button_";

	public static inline final MIKOWEBN_GFX = "mikoweb";

	public static inline final CURSOR_STD = "assets/images/cursor_std.png";
	public static inline final CURSOR_ADD = "assets/images/cursor_add.png";
	public static inline final CURSOR_DEL = "assets/images/cursor_del.png";
	public static inline final CURSOR_LNK = "assets/images/cursor_lnk.png";

	public static inline final DISABLEDBG_COL = 0xDD888888;

	// Graphic names assigned to rooms
	public static final ROOM_GFX:Map<RoomType, String> = [
		Room_Tools => "room_Tools_2x1_",
		Room_Rockets => "room_Rockets_4x1_",
		Room_CannonControl => "room_CannonControl_1x1_"
	];

	// Goods type needs to build a room
	public static final ROOM_BUILD_TYPE:Map<RoomType, GoodsType> = [
		Room_Tools => None,
		Room_Rockets => Tools,
		Room_CannonControl => Tools
	];

	// Goods quantity needs to build a room
	public static final ROOM_BUILD_QUANITY:Map<RoomType, Int> = [
		Room_Tools => 2,
		Room_Rockets => 4,
		Room_CannonControl => 1
	];

	// Production type assigned to rooms
	public static final ROOM_PROD:Map<RoomType, GoodsType> = [
		Room_Tools => Tools,
		Room_Rockets => Rockets,
		Room_CannonControl => None
	];

	// Production time [s] per one unit assigned to rooms
	public static final ROOM_TIME:Map<RoomType, Float> = [
		Room_Tools => 10,
		Room_Rockets => 20,
		Room_CannonControl => 0
	];

	// Production type needs per room, to create one item
	public static final ROOM_NEED_TYPE:Map<RoomType, GoodsType> = [
		Room_Tools => None,
		Room_Rockets => Tools,
		Room_CannonControl => None
	];

	// Production quantity needs per room, to create one item
	public static final ROOM_NEED_QUANTITY:Map<RoomType, Int> = [
		Room_Tools => 0,
		Room_Rockets => 1,
		Room_CannonControl => 0
	];
}
