package managers;

import flixel.system.FlxSound;
import flixel.FlxG;

class SoundManager
{
    public static var soundOn(default, null):Bool = true;

	  static var musicLib:Map<String, FlxSound>;

    public static function init()
    {
		  musicLib	= new Map<String, FlxSound>();
      musicLib[ConfigManager.COUNTER_SOUND] = FlxG.sound.load(ConfigManager.COUNTER_SOUND);
      musicLib[ConfigManager.FAILED_SOUND] = FlxG.sound.load(ConfigManager.FAILED_SOUND);
      musicLib[ConfigManager.BUTTONCLICK_SOUND] = FlxG.sound.load(ConfigManager.BUTTONCLICK_SOUND);
      musicLib[ConfigManager.EXPLODE_SOUND] = FlxG.sound.load(ConfigManager.EXPLODE_SOUND);
      musicLib[ConfigManager.ROCKET_SOUND] = FlxG.sound.load(ConfigManager.ROCKET_SOUND);
      musicLib[ConfigManager.WIN_SOUND] = FlxG.sound.load(ConfigManager.WIN_SOUND);
		  musicLib[ConfigManager.BUILD_SOUND] = FlxG.sound.load(ConfigManager.BUILD_SOUND);
    }

    public static function setSound(active:Bool)
    {
		  soundOn = active;
    }

    public static function toggleSound()
    {
      soundOn = !soundOn;        
    }

    public static function playSound(soundName:String)
    {
      if (!soundOn)
        return;

      if (!musicLib.exists(soundName))
        return;

		  musicLib[soundName].play(true); // Force restart
    }
}