package managers;

import flixel.graphics.frames.FlxAtlasFrames;
import flixel.FlxSprite;

// This is my custom interface between TexturePacker atlas and runtime
class SpriteManager
{
	static var texAtlas:FlxAtlasFrames;


	public static function getAtlas():FlxAtlasFrames
	{
		if (texAtlas == null)
			loadAtlas();

		return texAtlas;
	}

	public static function getImage(spriteName:String):FlxSprite
	{
		if (texAtlas == null)
			loadAtlas();

		var img = new FlxSprite();
		img.frames = texAtlas;
		img.frame = img.frames.getByName(spriteName + ".png");
		img.resetSizeFromFrame();
		img.centerOrigin();
		return img;
	}

	static function loadAtlas()
	{
		texAtlas = FlxAtlasFrames.fromTexturePackerXml(ConfigManager.ATLAS_GFX, ConfigManager.ATLAS_XML);
		#if debug
		trace("SpriteManager: Atlas frames: " + texAtlas.numFrames);
		#end
	}
}
 