package managers;

import enums.EventType;
import enums.GameState;

// This is a simple container for holding the gamestate and send triggers.
// There is no check if a certain state change is allowed.
class StateManager
{
	// Stored gamestate
	static var gameState:GameState = GameState.None;

	public static function setGameState(newState:GameState)
	{
		if (newState == gameState)
			return;
		EventManager.trigger(EventType.GameStateExit); // Notifying listeners
		gameState = newState;
		EventManager.trigger(EventType.GameStateInit); // Notifying listeners
	}

	public static function getGameState():GameState
	{
		return gameState;
	}
}
