package managers;

import enums.GoodsType;

using StringTools;

class WarehouseManager
{
	// The inventory we manage
	static var storedGoods:Map<GoodsType, Int> = [
		Tools => 0,
		Rockets => 0
	];

	public static var elapsedSeconds(default, null):Float = 0.0;

	public static function getWareCount(goodsType:GoodsType):Int
	{
		if (storedGoods.exists(goodsType) == false)
			return 0;

		return storedGoods[goodsType];
	}

	// Can be positive or negative change
	public static function addWareCount(goodsType:GoodsType, amount:Int)
	{
		if (storedGoods.exists(goodsType) == false)
			return;

		// This is nicely generic...
		storedGoods[goodsType] += amount;
		storedGoods[goodsType] = (storedGoods[goodsType] < 0 ? 0 : storedGoods[goodsType]);
		storedGoods[goodsType] = (storedGoods[goodsType] > 9999 ? 9999 : storedGoods[goodsType]);
		
		// ...and this is not.
		switch(goodsType)
		{
			case Tools:
				EventManager.trigger(ToolsCountChanged);
			case Rockets:
				EventManager.trigger(RocketsCountChanged);
			case _:
		}		
	}

	public static function addElapsed(elapsed:Float)
	{
		var oldVal = elapsedSeconds;

		elapsedSeconds += elapsed;

		if (Math.floor(oldVal) != (Math.floor(elapsedSeconds)))
			EventManager.trigger(TimeCountChanged); // seconds digit changed
	}

	public static function getElapsedTimeString():String
	{
		var hrs:Int = Math.floor(elapsedSeconds / 60 / 60);
		var min:Int = Math.floor(elapsedSeconds / 60) % 60;
		var sec:Int = Math.floor(elapsedSeconds - min * 60 - hrs * 60 * 60);
		var ret:String = StringTools.lpad(Std.string(hrs), "0", 2) + ":"
			+ StringTools.lpad(Std.string(min), "0", 2) + ":"
			+ StringTools.lpad(Std.string(sec), "0", 2);
		return ret;
	}

	public static function getToolCountString():String
	{
		var ret:String = StringTools.lpad(Std.string(storedGoods[Tools]), " ", 4);
		return ret;
	}

	public static function getRocketCountString():String
	{
		var ret:String = StringTools.lpad(Std.string(storedGoods[Rockets]), " ", 4);
		return ret;
	}
}
