package managers;

import classes.Worker;
import flixel.group.FlxSpriteGroup.FlxTypedSpriteGroup;
import helpers.MapIndex;
import lime.math.Vector2;

class WorkerManager
{
	static var layer:FlxTypedSpriteGroup<Worker>;

	public static function init(layer:FlxTypedSpriteGroup<Worker>)
	{
		WorkerManager.layer = layer;
	}

	public static function addNewWorker(mapIndex:MapIndex)
	{
		var v:Vector2 = MapManager.getScreenXYfromMapIndex(mapIndex);
		var workerSprite = layer.recycle(Worker);
		workerSprite.setPosition(v.x + 2, v.y + 2);
	}

	public static function removeWorkers(number:Int)
	{
		for (i in 0...number)
		{
			var foundWorker = layer.getFirstExisting();
			if (foundWorker != null)
			{
				foundWorker.kill();
			}
		}
	}

}
