package windows;

import classes.LinkText;
import flixel.FlxG;
import flixel.text.FlxText;
import flixel.util.FlxColor;
import managers.ConfigManager;
import managers.SpriteManager;
import managers.StateManager;
import openfl.Assets;

class AboutWindow extends WindowBase
{
	static inline var SPACING = 24;
	static inline var START = 60;

	public function new()
	{
		super(10, 10, FlxG.width - 20, FlxG.height - 40, "About this Application", OnClickCloseButton);

		var welcomeText = Assets.getText("assets/data/about.txt");

		add(new FlxText(20, START, 420, welcomeText, 18, true)).color = FlxColor.BLACK;

		add(SpriteManager.getImage(ConfigManager.MIKOWEBN_GFX)).setPosition(width / 2 - 93, START + 12 * SPACING);
		add(new LinkText(width / 2 - 90, START + 13 * SPACING, "www.mikoweb.eu", "https://www.mikoweb.eu"));

		add(new FlxText(55, START + 15 * SPACING, 0, "I'm using some free icon pictures from", 18, true)).color = FlxColor.BLACK;
		add(new LinkText(150, START + 16 * SPACING, "https://icons8.de", "https://icons8.de"));
		add(new FlxText(80, START + 18 * SPACING, 0, "The animated worker sprite is from", 18, true)).color = FlxColor.BLACK;
		add(new LinkText(120, START + 19 * SPACING, "https://opengameart.org", "https://opengameart.org/content/32x32-rpg-character-sprites"));
		add(new FlxText(150, START + 21 * SPACING, 0, "Sounds are from", 18, true)).color = FlxColor.BLACK;
		add(new LinkText(120, START + 22 * SPACING, "https://freesound.org/", "https://freesound.org/"));

		add(new LinkText(20, START + 24 * SPACING, "https://haxe.org/", "https://haxe.org/"));
		add(new LinkText(240, START + 24 * SPACING, "https://haxeflixel.com/", "https://haxeflixel.com/"));

		activateWindow(false);
	}

	function OnClickCloseButton():Void
	{
		activateWindow(false);
		StateManager.setGameState(Game_Run);
	}
}
