package windows;

import classes.TTButton;
import flixel.FlxSprite;
import flixel.group.FlxSpriteGroup;
import flixel.text.FlxText;
import flixel.util.FlxColor;
import managers.ConfigManager;

// The base class for the ingame HUD popup windows
class WindowBase extends FlxSpriteGroup
{
	var bg_sprite:FlxSprite;

	public function new(posX:Float, posY:Float, width:Int, height:Int, name:String, callback:() -> Void)
	{
		super();

		// The window's background
		bg_sprite = new FlxSprite();
		bg_sprite.makeGraphic(width, height, FlxColor.BLACK);
		bg_sprite.pixels.fillRect(new openfl.geom.Rectangle(1, 1, width - 2, height - 2), 0xFFFFFFFF);
		bg_sprite.pixels.fillRect(new openfl.geom.Rectangle(2, 2, width - 4, height - 4), 0xFFC0C0C0);
		bg_sprite.pixels.fillRect(new openfl.geom.Rectangle(3, 3, width - 6, 3 + 28), 0xFF808080);
		add(bg_sprite);

		// Headline text
		var headtext = new FlxText(6, 3, 0, name, 18, false);
		headtext.setFormat(ConfigManager.STDFONT_BOLD, 18, FlxColor.WHITE);
		add(headtext);

		// Close button
		var closeButton = new TTButton(ConfigManager.WIDEBUTTON_GFX, callback, "Close");
		closeButton.setPosition(width / 2 - closeButton.width / 2, height - 48);
		add(closeButton);

		this.setPosition(posX, posY);
	}

	public function activateWindow(activate:Bool)
	{
		this.visible = activate;
		this.active = activate;
	}
}
